window.Gleam.initSearch([{"doc":"node_tags","title":"node_tags","content":"# node_tags\n\n[![Package Version](https://img.shields.io/hexpm/v/node_tags)](https://hex.pm/packages/node_tags)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/node_tags/)\n\n```sh\ngleam add node_tags\n```\n```gleam\nimport node_tags\nimport gleam/erlang/atom\nimport gleam/io\n\npub fn main() {\n  let manager = atom.create_from_string(&quot;tags&quot;)\n  |&gt; node_tags.start\n\n  node_tags.set(manager, &quot;id&quot;, node_tags.String(&quot;main_node&quot;))\n  io.debug(\n    node_tags.get_nodes_tagged(\n      manager,\n      where: #(&quot;id&quot;, node_tags.String(&quot;worker_node&quot;)),\n      until: 1000\n    )\n  )\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/node_tags&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n","url":"index.html"},{"doc":"node_tags","title":"Message","content":"pub opaque type Message\n\n\nSynonyms:\nnode_tags.Message\nnode_tags Message","url":"node_tags.html#Message"},{"doc":"node_tags","title":"TagManager","content":"pub opaque type TagManager\n\n\nSynonyms:\nnode_tags.TagManager\nnode_tags TagManager","url":"node_tags.html#TagManager"},{"doc":"node_tags","title":"Value","content":"pub type Value {\n  String(String)\n  Int(Int)\n  Float(Float)\n  Bool(Bool)\n  Null(Nil)\n}\n\nString(String)\n\n\nInt(Int)\n\n\nFloat(Float)\n\n\nBool(Bool)\n\n\nNull(Nil)\n\n\nSynonyms:\nnode_tags.Value\nnode_tags Value","url":"node_tags.html#Value"},{"doc":"node_tags","title":"delete","content":"pub fn delete(manager: TagManager, key: String) -&gt; Nil\n\nSynonyms:\nnode_tags.delete\nnode_tags delete","url":"node_tags.html#delete"},{"doc":"node_tags","title":"get_nodes","content":"pub fn get_nodes(\n  manager: TagManager,\n  until timeout: Int,\n) -&gt; List(#(Node, Dict(String, Value)))\n\nSynonyms:\nnode_tags.get_nodes\nnode_tags get_nodes","url":"node_tags.html#get_nodes"},{"doc":"node_tags","title":"get_nodes_tagged","content":"pub fn get_nodes_tagged(\n  manager: TagManager,\n  where tag: #(String, Value),\n  until timeout: Int,\n) -&gt; List(#(Node, Dict(String, Value)))\n\nSynonyms:\nnode_tags.get_nodes_tagged\nnode_tags get_nodes_tagged","url":"node_tags.html#get_nodes_tagged"},{"doc":"node_tags","title":"get_own_tags","content":"pub fn get_own_tags(\n  manager: TagManager,\n  until timeout: Int,\n) -&gt; List(#(String, Value))\n\nSynonyms:\nnode_tags.get_own_tags\nnode_tags get_own_tags","url":"node_tags.html#get_own_tags"},{"doc":"node_tags","title":"set","content":"pub fn set(manager: TagManager, key: String, value: Value) -&gt; Nil\n\nSynonyms:\nnode_tags.set\nnode_tags set","url":"node_tags.html#set"},{"doc":"node_tags","title":"shutdown","content":"pub fn shutdown(manager: TagManager) -&gt; Nil\n\nSynonyms:\nnode_tags.shutdown\nnode_tags shutdown","url":"node_tags.html#shutdown"},{"doc":"node_tags","title":"start","content":"pub fn start(name: Atom) -&gt; TagManager\n Start a tag management process. This can fail if there is already another process with\n the same name.\nSynonyms:\nnode_tags.start\nnode_tags start","url":"node_tags.html#start"},{"doc":"node_tags","title":"node_tags","content":"","url":"node_tags.html"}]);